NodeJS踩过的坑

2018-01-11 12:50:32来源:oschina作者:gao2q人点击

分享
1. NodeJS连接Oracle错误
环境
Windows 10
NodeJS 8.9.3
oracledb 2.0.15
错误信息

Error: NJS-045: cannot load the oracledb add-on binary for Node.js 8.9.3 (win32, x64)
Node.js require() error was:
DPI-1047: 64-bit Oracle Client library cannot be loaded: "The specified module could not be found". See https://oracle.github.io/odpi/doc/installation.html#windows for help
Node.js require() mapped to D:/WorkSpace/ws_nodejs/oracle_test/node_modules/oracledb/build/Release/oracledb.node
Node-oracledb installation instructions: https://github.com/oracle/node-oracledb/blob/master/INSTALL.md
You must have 64-bit Oracle client libraries in your PATH environment variable.
If you do not have Oracle Database on this computer, then install the Instant Client Basic or Basic Light package from
http://www.oracle.com/technetwork/topics/winx64soft-089540.html
A Microsoft Visual Studio Redistributable suitable for your Oracle client library version must be available.


解决办法

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台